Bug 75973 - default route erased by isdn connection
default route erased by isdn connection
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 09:11 EDT by petr
Modified: 2014-03-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petr 2002-10-15 09:11:19 EDT
Description of problem:
If I have both eth0 and ippp0 (as backup) used for connection to the Internet,
activating ippp0 erases default route via local network.

How reproducible:
Always

Configuration:
eth0 interface to company network with default gateway obtained by DHCP.
ippp0 interface - used for connecting to alternate ISP (e.g. in case of failure
of connection to the main ISP), manually activated, also default gateway
obrained by DHCP

Steps to Reproduce:
1. Activate isdn
2. Deactivate isdn

I'd suggest the behavior as Windows 98 has - not to erase the defaukt route
after establishing isdn connection, but to increase the metric value.

Red Hat 8.0 behavior:
Before isdn connection:
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
62.77.73.64     0.0.0.0         255.255.255.192 U     0      0        0 eth0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0         62.77.73.68     0.0.0.0         UG    0      0        0 eth0

During isdn connection:
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
62.77.73.64     0.0.0.0         255.255.255.192 U     0      0        0 eth0
195.122.222.0   0.0.0.0         255.255.255.0   U     0      0        0 ippp0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0         195.122.222.23  0.0.0.0         UG    0      0        0 ippp0

After isdn connection:
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
62.77.73.64     0.0.0.0         255.255.255.192 U     0      0        0 eth0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo

Default gateway (route) is missing.

Windows 98 behavior:
without isdn connection:

  Network address             Mask          Gateway        Interface   Metric

          0.0.0.0          0.0.0.0      62.77.73.68      62.77.73.82       1
      62.77.73.64  255.255.255.192      62.77.73.82      62.77.73.82       1
      62.77.73.82  255.255.255.255        127.0.0.1        127.0.0.1       1
   62.255.255.255  255.255.255.255      62.77.73.82      62.77.73.82       1
        127.0.0.0        255.0.0.0        127.0.0.1        127.0.0.1       1
        224.0.0.0        224.0.0.0      62.77.73.82      62.77.73.82       1
  255.255.255.255  255.255.255.255      62.77.73.82          0.0.0.0       1

with isdn connection:

          0.0.0.0          0.0.0.0      62.77.73.68      62.77.73.82       2
          0.0.0.0          0.0.0.0   195.250.130.11   195.250.130.11       1
      62.77.73.64  255.255.255.192      62.77.73.82      62.77.73.82       2
      62.77.73.82  255.255.255.255        127.0.0.1        127.0.0.1       1
   62.255.255.255  255.255.255.255      62.77.73.82      62.77.73.82       1
        127.0.0.0        255.0.0.0        127.0.0.1        127.0.0.1       1
    195.250.130.0    255.255.255.0   195.250.130.11   195.250.130.11       1
   195.250.130.11  255.255.255.255        127.0.0.1        127.0.0.1       1
        224.0.0.0        224.0.0.0      62.77.73.82      62.77.73.82       1
        224.0.0.0        224.0.0.0   195.250.130.11   195.250.130.11       1
  255.255.255.255  255.255.255.255   195.250.130.11   195.250.130.11       1
Comment 1 Harald Hoyer 2002-10-24 08:23:19 EDT
this is more an issue of the initscripts which activate/deactivate the device
Comment 2 Bill Nottingham 2005-09-29 16:20:23 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.